Package org.eclipse.lemminx.customservice

## Interface XMLLanguageClientAPI

All Superinterfaces:
  `org.eclipse.lsp4j.services.LanguageClient`

    public interface XMLLanguageClientAPI
    extends org.eclipse.lsp4j.services.LanguageClient

XML language client API.

### Method Summary

All Methods Instance Methods Default Methods
`default void` `actionableNotification​(ActionableNotification command)` Notification to be sent to the client with a list of commands
`default CompletableFuture<Object>` `executeClientCommand​(org.eclipse.lsp4j.ExecuteCommandParams params)` Executes the command on the client which gives an opportunity to execute a command registered by a different Language Server

### Methods inherited from interface org.eclipse.lsp4j.services.LanguageClient

`applyEdit, configuration, createProgress, logMessage, logTrace, notifyProgress, publishDiagnostics, refreshCodeLenses, refreshDiagnostics, refreshInlayHints, refreshInlineValues, refreshSemanticTokens, registerCapability, showDocument, showMessage, showMessageRequest, telemetryEvent, unregisterCapability, workspaceFolders`

### Method Detail

#### actionableNotification

    default void actionableNotification​(ActionableNotification command)

Notification to be sent to the client with a list of commands

Parameters:
  `command` -

#### executeClientCommand

    default CompletableFuture<Object> executeClientCommand​(org.eclipse.lsp4j.ExecuteCommandParams params)

Executes the command on the client which gives an opportunity to execute a command registered by a different Language Server

Parameters:
  `params` - command execution parameters
Returns:
  the result of the command execution